# Interface DependencyArtifact

public interface DependencyArtifact
Data class that represents an artifact included in a `Dependency`.

Since:
  0.7

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT_TYPE`
  The default type.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `@Nullable String`
  `getClassifier()`
  Returns the classifier of this artifact.
  `@Nullable String`
  `getExtension()`
  Returns the extension of this artifact.
  `String`
  `getName()`
  Returns the name of this artifact.
  `String`
  `getType()`
  Returns the type of this artifact.
  `@Nullable String`
  `getUrl()`
  Returns a URL under which this artifact can be retrieved.
  `void`
  `setClassifier(@Nullable String classifier)`
  Sets the classifier of this artifact.
  `void`
  `setExtension(@Nullable String extension)`
  Sets the extension of this artifact.
  `void`
  `setName(String name)`
  Sets the name of this artifact.
  `void`
  `setType(String type)`
  Sets the type of this artifact.
  `void`
  `setUrl(@Nullable String url)`
  Sets the URL for this artifact.

- ## Field Details

  - ### DEFAULT_TYPE

    static final String DEFAULT_TYPE
    The default type.
    Since:
      0.7
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getName

    String getName()
    Returns the name of this artifact.
    Since:
      0.7

  - ### setName

    void setName(String name)
    Sets the name of this artifact.
    Since:
      2.14

  - ### getType

    String getType()
    Returns the type of this artifact. Often the type is the same as the extension, but sometimes this is not the case. For example for an ivy XML module descriptor, the type is ivy and the extension is xml.
    Since:
      0.7
    See Also:
      - `getExtension()`

  - ### setType

    void setType(String type)
    Sets the type of this artifact.
    Since:
      2.14

  - ### getExtension

    @Nullable String getExtension()
    Returns the extension of this artifact. Often the extension is the same as the type, but sometimes this is not the case. For example for an ivy XML module descriptor, the type is ivy and the extension is xml.
    Since:
      0.7
    See Also:
      - `getType()`

  - ### setExtension

    void setExtension(@Nullable String extension)
    Sets the extension of this artifact.
    Since:
      2.14

  - ### getClassifier

    @Nullable String getClassifier()
    Returns the classifier of this artifact.
    Since:
      0.7

  - ### setClassifier

    void setClassifier(@Nullable String classifier)
    Sets the classifier of this artifact.
    Since:
      2.14

  - ### getUrl

    @Nullable String getUrl()
    Returns a URL under which this artifact can be retrieved. If not specified the user repositories are used for retrieving.
    Since:
      0.7

  - ### setUrl

    void setUrl(@Nullable String url)
    Sets the URL for this artifact.
    Since:
      2.14